# Makefile for I2C Slave mode app
include $(PDK_INSTALL_PATH)/ti/build/Rules.make

# FreeRTOS Specifics
ifeq ($(BUILD_OS_TYPE), freertos)

CFLAGS_OS_DEFINES =  -DFREERTOS
EXTERNAL_INTERFACES = freertos
COMP_LIST_COMMON = $(PDK_COMMON_FREERTOS_COMP)

# Name of the directory created under packages/ti/binary/
APP_NAME = i2c_slave_mode_app_$(BUILD_OS_TYPE)

endif

SRCDIR = ../ . src
INCDIR = ../ . src

# Common source files across all platforms and cores
SRCS_COMMON += main.c i2c_master_slave_cfg.c

# List all the external components/interfaces, whose interface header files
# need to be included for this component
INCLUDE_EXTERNAL_INTERFACES = pdk $(EXTERNAL_INTERFACES)

PACKAGE_SRCS_COMMON = src makefile ../i2c_master_slave_cfg.c ../i2c_master_slave_cfg.h
CFLAGS_LOCAL_COMMON = $(PDK_CFLAGS) $(CFLAGS_OS_DEFINES)

# Core/SoC/platform specific source files and CFLAGS
# Example:
#   SRCS_<core/SoC/platform-name> =
#   CFLAGS_LOCAL_<core/SoC/platform-name> =

# Include common make files
ifeq ($(MAKERULEDIR), )
# Makerule path not defined, define this and assume relative path from ROOTDIR
  MAKERULEDIR := $(ROOTDIR)/ti/build/makerules
  export MAKERULEDIR
endif
include $(MAKERULEDIR)/common.mk

# OBJs and libraries are built by using rule defined in rules_<target>.mk
#     and need not be explicitly specified here

# Nothing beyond this point
